@if (masterData$ | async) {
  <div>
    <app-text-input
      #text
      id="keyword"
      [defaultValue]="keywordValue"
      [config]="config.searchInputConfig"
      [translations]="translations.keywordTranslations"
      (searchButtonClicked)="onFilterChange($event,SrFilterEnum.KEYWORD)">
    </app-text-input>
  </div>
  <eui-accordion isMulti="true">
    <eui-accordion-item isExpanded="true">
      <eui-accordion-item-header>{{ 'app.features.sr.filters.accordionTitles.main' | translate }}</eui-accordion-item-header>
      <div class="eui-u-pb-s">
        <app-dropdown
          id="asset-repository"
          [config]="config.dropdownMultiSelectConfig"
          [dropdownData]="assetRepositoryData"
          [translations]="translations.repositoryTranslations"
          (selectionChanged)="onFilterChange($event,SrFilterEnum.ASSET_REPOSITORY)">
        </app-dropdown>
      </div>
      <div class="eui-u-pb-s">
        <app-dropdown
          id="asset-type"
          [config]="config.dropdownMultiSelectConfig"
          [dropdownData]="assetTypeData"
          [translations]="translations.assetTypeTranslations"
          (selectionChanged)="onFilterChange($event,SrFilterEnum.ASSET_TYPE)">
        </app-dropdown>
      </div>
      <div class="eui-u-pb-s">
        <app-dropdown
          id="status"
          [config]="config.dropdownMultiSelectConfig"
          [dropdownData]="statusData"
          [translations]="translations.statusTranslations"
          (selectionChanged)="onFilterChange($event,SrFilterEnum.STATUS)">
        </app-dropdown>
      </div>
      <div class="eui-u-pb-s">
        <app-dropdown
          id="publisher"
          [config]="config.dropdownSingleSelectConfig"
          [dropdownData]="publisherData"
          [translations]="translations.publisherTranslations"
          (selectionChanged)="onFilterChange($event,SrFilterEnum.PUBLISHER)">
        </app-dropdown>
      </div>
      <div class="eui-u-pb-s">
        <app-dropdown
          id="creator"
          [config]="config.dropdownSingleSelectConfig"
          [dropdownData]="creatorData"
          [translations]="translations.creatorTranslations"
          (selectionChanged)="onFilterChange($event,SrFilterEnum.CREATOR)">
        </app-dropdown>
      </div>
      <div class="eui-u-pb-s">
        <app-dropdown
          id="language"
          [config]="config.dropdownMultiSelectConfig"
          [dropdownData]="languageData"
          [translations]="translations.languageTranslations"
          (selectionChanged)="onFilterChange($event,SrFilterEnum.LANGUAGE)">
        </app-dropdown>
      </div>
      <div class="eui-u-pb-s">
        <app-date-range
          [translations]="translations.lastModificationDateRangeTranslations"
          [defaultRange]="defaultModifiedDate"
          [config]="config.dateRangeConfig"
          (selectionChanged)="onFilterChange($event,SrFilterEnum.MODIFIED)">
        </app-date-range>
      </div>
    </eui-accordion-item>
    <eui-accordion-item isExpanded="true">
      <eui-accordion-item-header>{{ 'app.features.sr.filters.accordionTitles.distributions' | translate }}</eui-accordion-item-header>
      <div>
        <app-dropdown
          id="media-type"
          [config]="config.dropdownMultiSelectConfig"
          [dropdownData]="mediaTypeData"
          [translations]="translations.mediaTypeTranslations"
          (selectionChanged)="onFilterChange($event,SrFilterEnum.MEDIA_TYPE)">
        </app-dropdown>
      </div>
    </eui-accordion-item>
    <eui-accordion-item isExpanded="true">
      <eui-accordion-item-header>{{ 'app.features.sr.filters.accordionTitles.schemathronsAndExamples' | translate }}</eui-accordion-item-header>
      <div class="eui-u-pb-s">
        <app-dropdown
          id="theme"
          [isDisabled]="hideThemeFilter"
          [tooltipText]="hideThemeFilter ? ('app.components.dropdown.disabledTooltip.theme' | translate) : null"
          [config]="config.dropdownMultiSelectConfig"
          [dropdownData]="themeData"
          [translations]="translations.themeTranslations"
          (selectionChanged)="onFilterChange($event,SrFilterEnum.THEME)">
        </app-dropdown>
      </div>
      <div>
        <div class="eui-u-pb-s">
          <app-dropdown
            id="transaction-component"
            [isDisabled]="hideComponentTypeSubjectFilters"
            [tooltipText]="hideComponentTypeSubjectFilters ? ('app.components.dropdown.disabledTooltip.subjectComponentType' | translate) : null"
            [config]="config.dropdownMultiSelectConfig"
            [dropdownData]="transactionComponentData"
            [translations]="translations.transactionComponentTranslations"
            (selectionChanged)="onFilterChange($event,SrFilterEnum.TRANSACTION_COMPONENT)">
          </app-dropdown>
        </div>
      </div>
      <div class="eui-u-pb-s">
        <app-dropdown
          id="transaction-type"
          [isDisabled]="hideComponentTypeSubjectFilters"
          [tooltipText]="hideComponentTypeSubjectFilters ? ('app.components.dropdown.disabledTooltip.subjectComponentType' | translate) : null"
          [config]="config.dropdownMultiSelectConfig"
          [dropdownData]="transactionTypeData"
          [translations]="translations.transactionTypeTranslations"
          (selectionChanged)="onFilterChange($event,SrFilterEnum.TRANSACTION_TYPE)">
        </app-dropdown>
      </div>
      <div>
        <app-dropdown
          id="subject"
          [isDisabled]="hideComponentTypeSubjectFilters"
          [tooltipText]="hideComponentTypeSubjectFilters ? ('app.components.dropdown.disabledTooltip.subjectComponentType' | translate) : null"
          [config]="config.dropdownMultiSelectConfig"
          [dropdownData]="subjectData"
          [translations]="translations.subjectTranslations"
          (selectionChanged)="onFilterChange($event,SrFilterEnum.TRANSACTION_SUBJECT)">
        </app-dropdown>
      </div>
    </eui-accordion-item>
    <eui-accordion-item isExpanded="true">
      <eui-accordion-item-header>{{ 'app.features.sr.filters.accordionTitles.versions' | translate }}</eui-accordion-item-header>
      <div class="eui-u-pb-s">
        <input id="version-filters-checkbox"
          name="version-filters"
          [(ngModel)]="isVersioningDisabled"
          (ngModelChange)="onFilterChange(isVersioningDisabled, SrFilterEnum.SHOW_VERSIONS)"
          class="eui-u-mr-xs"
          euiInputCheckBox/>
          <label class="eui-u-pb-none" euiLabel for="version-filters-checkbox">
            <span
            class="eui-u-f-bold eui-u-f-m">{{ 'app.features.sr.filters.label.versionsCheckbox' | translate }}</span>
          </label>
          <p class="eui-u-pt-none eui-u-mt-xs eui-u-text-justify eui-u-f-s">
            {{ 'app.features.sr.filters.label.versionsCheckboxDescription' | translate }}
          </p>
        </div>
        <div class="eui-u-pb-s">
          <app-autocomplete
            [data]="uniqueVersions$ | async"
            [defaultValue]="versionValue"
            [title]="'app.components.autocomplete.title.version'"
            [placeholder]="'app.components.autocomplete.placeholder.version'"
            [isDisabled]="!isVersioningDisabled"
            (inputChanged)="onFilterChange($event,SrFilterEnum.VERSION)"
          ></app-autocomplete>
        </div>
        <div>
          <app-date-range
            [translations]="translations.versionIssueDateRangeTranslations"
            [defaultRange]="defaultIssuedDate"
            [isDisabled]="!isVersioningDisabled"
            [config]="config.dateRangeConfig"
            (selectionChanged)="onFilterChange($event,SrFilterEnum.ISSUED)"
          ></app-date-range>
        </div>
      </eui-accordion-item>
      <eui-accordion-item isExpanded="true">
        <eui-accordion-item-header>{{ 'app.features.sr.filters.accordionTitles.associations' | translate }}</eui-accordion-item-header>
        <div class="eui-u-pb-s">
          <input id="association-filters-checkbox"
            name="association-filters"
            [(ngModel)]="isAssociationFiltersDisabled"
            (ngModelChange)="onAssociationCheckboxClicked($event)"
            class="eui-u-mr-xs"
            euiInputCheckBox/>
            <label class="eui-u-pb-none" euiLabel for="association-filters-checkbox">
              <span
              class="eui-u-f-bold eui-u-f-m">{{ 'app.features.sr.filters.label.associationsCheckbox' | translate }}</span>
            </label>
            <p class="eui-u-pt-none eui-u-mt-xs eui-u-text-justify eui-u-f-s">
              {{ 'app.features.sr.filters.label.associationsCheckboxDescription' | translate }}
            </p>
          </div>
          <div class="eui-u-pb-s">
            <app-dropdown
              id="association-type"
              [isDisabled]="!isAssociationFiltersDisabled"
              [config]="config.dropdownMultiSelectConfig"
              [dropdownData]="associationTypeData"
              [translations]="translations.associationTypeTranslations"
              (selectionChanged)="onFilterChange($event,SrFilterEnum.ASSOCIATION_TYPE)">
            </app-dropdown>
          </div>
          <div class="eui-u-pb-s">
            <app-autocomplete
              [data]="assetUriList$ | async"
              [hasWidePanel]="true"
              [title]="'app.components.autocomplete.title.assetUri'"
              [defaultValue]="assetUriValue"
              [placeholder]="'app.components.autocomplete.placeholder.assetUri'"
              [isDisabled]="!isAssociationFiltersDisabled"
              (inputChanged)="onFilterChange($event,SrFilterEnum.ASSOCIATION_URI)"
            ></app-autocomplete>
          </div>
          <div>
            @if ((associatedAssetVersions$ | async ); as associatedAssetVersions) {
              <app-autocomplete
                [data]="associatedAssetVersions"
                [hasWidePanel]="true"
                [title]="'app.components.autocomplete.title.associatedAssetVersion'"
                [defaultValue]="associatedVersion"
                [placeholder]="!associatedAssetVersions?.length && showAssociatedVersions ? 'app.components.autocomplete.placeholder.noResults' : 'app.components.autocomplete.placeholder.associatedAssetVersion'"
                [isDisabled]="!isAssociationFiltersDisabled || !showAssociatedVersions || (!associatedAssetVersions?.length && isAssetVersionDisabled)"
                (inputChanged)="onFilterChange($event,SrFilterEnum.ASSOCIATED_VERSION)"
              ></app-autocomplete>
              @if (associatedVersion && !isVersioningDisabled) {
                <p class="eui-u-mt-2xs helper"
                >{{ 'app.components.autocomplete.helper.associatedVersion' | translate }}</p>
              }
            }
          </div>
        </eui-accordion-item>
      </eui-accordion>
    }
